From 4a14ad19cfb7e54a582c34d6f772c73799ac9191 Mon Sep 17 00:00:00 2001
From: Cameron Nemo <cnemo@tutanota.com>
Date: Sat, 1 Jun 2019 15:11:58 +0000
Subject: [PATCH] apparmor: adjust dhcpcd and wpa_supplicant profiles

---
 srcpkgs/apparmor/files/profiles/usr.bin.dhcpcd         | 2 ++
 srcpkgs/apparmor/files/profiles/usr.bin.wpa_supplicant | 1 +
 srcpkgs/apparmor/template                              | 2 +-
 3 files changed, 4 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/apparmor/files/profiles/usr.bin.dhcpcd b/srcpkgs/apparmor/files/profiles/usr.bin.dhcpcd
index 92f3792487c..3e9d39be538 100644
--- a/srcpkgs/apparmor/files/profiles/usr.bin.dhcpcd
+++ b/srcpkgs/apparmor/files/profiles/usr.bin.dhcpcd
@@ -45,6 +45,8 @@ profile dhcpcd /{usr/,}bin/dhcpcd {
   /var/db/dhcpcd/** rw,
   /{usr/,}bin/dhcpcd mrix,
 
+  owner @{PROC}/@{pid}/mountinfo r,
+
   # Site-specific additions and overrides. See local/README for details.
   #include <local/usr.bin.dhcpcd>
 }
diff --git a/srcpkgs/apparmor/files/profiles/usr.bin.wpa_supplicant b/srcpkgs/apparmor/files/profiles/usr.bin.wpa_supplicant
index dec2ff90c24..fbe20060de4 100644
--- a/srcpkgs/apparmor/files/profiles/usr.bin.wpa_supplicant
+++ b/srcpkgs/apparmor/files/profiles/usr.bin.wpa_supplicant
@@ -8,6 +8,7 @@
   capability net_raw,
   capability chown,
   capability dac_override,
+  capability fsetid,
   network inet dgram,
   network inet raw,
   network packet dgram,
diff --git a/srcpkgs/apparmor/template b/srcpkgs/apparmor/template
index d00813bfe70..d565a425065 100644
--- a/srcpkgs/apparmor/template
+++ b/srcpkgs/apparmor/template
@@ -1,7 +1,7 @@
 # Template file for 'apparmor'
 pkgname=apparmor
 version=2.13.2
-revision=5
+revision=6
 wrksrc="${pkgname}-v${version}"
 build_wrksrc=libraries/libapparmor
 build_style=gnu-configure
